Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class DateTimePeriod1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.DateTimePeriod1

public class DateTimePeriod1 extends Object

Java class for DateTimePeriod1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateTimePeriod1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FrDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ISODateTime"/>
             <element name="ToDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ISODateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`frDtTm`
`protected XMLGregorianCalendar`
`toDtTm`

## Constructor Summary

Constructors
Constructor
Description
`DateTimePeriod1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getFrDtTm()`
Gets the value of the frDtTm property.
`XMLGregorianCalendar`
`getToDtTm()`
Gets the value of the toDtTm property.
`void`
`setFrDtTm(XMLGregorianCalendar value)`
Sets the value of the frDtTm property.
`void`
`setToDtTm(XMLGregorianCalendar value)`
Sets the value of the toDtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frDtTm

protected XMLGregorianCalendar frDtTm

### toDtTm

protected XMLGregorianCalendar toDtTm

## Constructor Details

### DateTimePeriod1

public DateTimePeriod1()

## Method Details

### getFrDtTm

public XMLGregorianCalendar getFrDtTm()
Gets the value of the frDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFrDtTm

public void setFrDtTm(XMLGregorianCalendar value)
Sets the value of the frDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getToDtTm

public XMLGregorianCalendar getToDtTm()
Gets the value of the toDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setToDtTm

public void setToDtTm(XMLGregorianCalendar value)
Sets the value of the toDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`